Bug 1130581 - Review Request: perl-Devel-CheckBin - Check that a command is available
Summary: Review Request: perl-Devel-CheckBin - Check that a command is available
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Dick
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 15:14 UTC by Paul Howarth
Modified: 2014-09-03 14:58 UTC (History)
2 users (show)

Fixed In Version: perl-Devel-CheckBin-0.02-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-03 14:58:51 UTC
ddick: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Paul Howarth 2014-08-15 15:14:24 UTC
Spec URL: http://subversion.city-fan.org/repos/cfo-repo/perl-Devel-CheckBin/branches/fedora/perl-Devel-CheckBin.spec
SRPM URL: http://www.city-fan.org/~paul/extras/perl-Devel-CheckBin/perl-Devel-CheckBin-0.02-2.fc22.src.rpm

Description:
Devel::CheckBin is a perl module that checks whether a particular command is
available.

Fedora Account System Username: pghmcfc

Comment 1 David Dick 2014-08-17 06:56:31 UTC
License is correct.

Not often that ExtUtils::MakeMaker is a runtime requirement!

tests require /bin/ls which is included in coreutils, therefore is correctly not mentioned in BRs.

Build and RunTime Requires ok.

rpmlint is clean.

builds cleanly in rawhide : http://koji.fedoraproject.org/koji/taskinfo?taskID=7358903

module has not already been packaged : https://admin.fedoraproject.org/pkgdb/packages/perl-Devel-CheckBin*/

https://fedoraproject.org/wiki/How_to_create_an_RPM_package says that %license is not a valid prefix in fedora.  Please change to %doc.

Package APPROVED.

Comment 2 Paul Howarth 2014-08-17 08:20:44 UTC
Thanks for the review David.

%license is a fairly recent innovation and is now preferred to %doc for license files:
http://fedoraproject.org/wiki/Changes/Use_license_macro_in_RPMs_for_packages_in_Cloud_Image

New Package SCM Request
=======================
Package Name:  perl-Devel-CheckBin
Short Description: Check that a command is available
Upstream URL: http://search.cpan.org/dist/Devel-CheckBin/
Owners: pghmcfc
Branches: f19 f20 f21 epel7
InitialCC: perl-sig

Comment 3 Kevin Fenzi 2014-08-18 14:56:35 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-08-21 15:48:18 UTC
perl-Devel-CheckBin-0.02-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Devel-CheckBin-0.02-2.fc20

Comment 5 Fedora Update System 2014-08-21 15:48:25 UTC
perl-Devel-CheckBin-0.02-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-Devel-CheckBin-0.02-2.fc19

Comment 6 Fedora Update System 2014-09-02 06:39:32 UTC
perl-Devel-CheckBin-0.02-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 7 Fedora Update System 2014-09-02 06:44:24 UTC
perl-Devel-CheckBin-0.02-2.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.